TU Services demo for PHP
========================

The demo uses [Composer](https://getcomposer.org) composer to manage dependencies. Before you run the demo, you need to update its dependencies:

    composer update --prefer-dist
    
Now the demo can be run using you preferred PHP container (nginx, Apache, IIS etc). Note, that PHP >= 5.6.x is required.


Using docker
------------

To launch the container, prepare and deploy the application do the following:

    $ sudo docker run --name nginx -p 5000:80 -v /tmp/wwwspsdemo:/var/www/html -d richarvey/nginx-php-fpm
    $ composer update --prefer-dist
    $ cp -r *.php *.pdf resources vendor /tmp/wwwspsdemo
    

- you may not need the 'sudo' prefix.   


Now point your browser to http://localhost:5000 to begin the demo.


