<?php
/*
 * Copyright (c) 2018, Signaturgruppen  <info@signaturgruppen.dk>.
 * All rights reserved.
 * @license    See separate agreement regarding license information
 */

use Signaturgruppen\SPS\Demo\Configuration;

require_once __DIR__ . '/vendor/autoload.php';
header('Content-Type: text/html; charset=utf-8');
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

Configuration::loadConfig();

$nemid = new \Signaturgruppen\SPS\Frame\NemIDFrameBuilder();
$nemidScript = $nemid->buildScript("receive_inline.php");
$nemidIframeUrl = $nemid->getFrameUrl();

?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8"/>
    <title>NemID</title>
</head>

<body>
<?php echo $nemidScript; ?>
<div style="display: table; margin: 0px auto; line-height: 1.0;">
    <iframe src="<?php echo $nemidIframeUrl; ?>" width="200" height="250" border="0" style="line-height: 1.0; border: none; margin: 0; padding: 0; overflow: hidden;" scrolling="no"></iframe>
</div>
</body>

</html>

