<?php
/*
 * Copyright (c) 2016, Signaturgruppen  <info@signaturgruppen.dk>.
 * All rights reserved.
 * @license    See separate agreement regarding license information
 */
use Signaturgruppen\SPS\Demo\Configuration;

require_once __DIR__ . '/vendor/autoload.php';
header('Content-Type: text/html; charset=utf-8');
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

Configuration::loadConfig();

$model = [];
$model['title'] = 'NL3 text sign';
$model['width'] = 800;
$model['height'] = 600;

$nl3 = new \Signaturgruppen\SPS\Frame\NL3SignFrameBuilder();
$model['script'] = $nl3->signText("sample text")->withTitle("test.txt")->buildScript("nl3_receive.php");
$model['src'] = $nl3->getFrameUrl();

require_once 'resources/template.php';