<?php
/*
* Copyright (c) 2016, Signaturgruppen  <info@signaturgruppen.dk>.
* All rights reserved.
* @license    See separate agreement regarding license information
*/
require_once __DIR__ . '/vendor/autoload.php';
header('Content-Type: text/html; charset=utf-8');

\Signaturgruppen\SPS\Demo\Configuration::loadConfig();

$model = [];
$model['title'] = "Response";

try{
$cprService = new \Signaturgruppen\SPS\Services\PidMatchService();
$cprMatched = $cprService->pidMatchesCpr("12345612345", "1402263260");
$result = "Not matched";
if($cprMatched) {
    $result = "Matched";
}
$model['result'] = "PidMatched: ". $result;
}catch (Exception $e){
    $model['script'] = "<script>console.log('" . $e->getMessage() . "');</script>";
    $model['result'] = "Error: " . $e->getMessage() . "<br/>";
}

require_once 'resources/template.php';
