<?php
/*
 * Copyright (c) 2020, Signaturgruppen  <info@signaturgruppen.dk>.
 * All rights reserved.
 * @license    See separate agreement regarding license information
 */
use Signaturgruppen\SPS\Demo\Configuration;

require_once __DIR__ . '/vendor/autoload.php';
header('Content-Type: text/html; charset=utf-8');
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

Configuration::loadConfig();
session_start();

$model = [];
$model['title'] = 'NemID PADES sign';
$model['width'] = 800;
$model['height'] = 600;

$signer1 = "Signer1";

$documentId = $_SESSION['PadesDocumentId'];

$nemid = new \Signaturgruppen\SPS\Frame\NemIDSignPadesFrameBuilder();
$model['script'] = $nemid->signPdf($documentId)->signerId($signer1)->buildScript("receivepades.php");
$model['src'] = $nemid->getFrameUrl();

require_once 'resources/template.php';